Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 79353 - fortran program crashes with segmentation error
Summary: fortran program crashes with segmentation error
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: gcc
Version: 7.3
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Jakub Jelinek
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-12-10 17:36 UTC by Michael macNeil
Modified: 2007-04-18 16:48 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2004-10-03 10:52:29 UTC


Attachments (Terms of Use)
fortran source code (deleted)
2002-12-10 17:39 UTC, Michael macNeil
no flags Details
fortran subroutines (deleted)
2002-12-10 17:40 UTC, Michael macNeil
no flags Details
input data file (deleted)
2002-12-10 17:42 UTC, Michael macNeil
no flags Details

Description Michael macNeil 2002-12-10 17:36:54 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.0.1) Gecko/20021003

Description of problem:
in executing a fortran program compiled using g77 to call gcc i consistently get
a segmentation error when executing the program.  The problem documented further
in Red Hat Support incident 219599.  

Comiling sequence is:
g77 -c -O mtgssub.f
g77 -O mtgsnrm.f mtgssub.o

The source code and data file are attached.

Inputs to program are:
0
22000000
0
test_ped
1
3
1
2
3
0


Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1.see description
2.
3.
	

Actual Results:  program process some records from input data file and then
crashes with a segmentation error

Expected Results:  program should end normally with new data files created for
subsequent use.

Additional info:

Comment 1 Michael macNeil 2002-12-10 17:39:31 UTC
Created attachment 88245 [details]
fortran source code

Comment 2 Michael macNeil 2002-12-10 17:40:53 UTC
Created attachment 88246 [details]
fortran subroutines

Comment 3 Michael macNeil 2002-12-10 17:42:11 UTC
Created attachment 88247 [details]
input data file

Comment 4 Richard Henderson 2004-10-03 10:52:29 UTC
Program runs to completion with gcc 3.2.3.


Note You need to log in before you can comment on or make changes to this bug.